﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ImageEditor.aspx.cs" Inherits="ImageEditor" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="RadScriptManager1" />
		<div class="demo-container size-wide">
			<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" EnablePageHeadUpdate="false">
				<AjaxSettings>
					<telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadImageEditor1" />
							<telerik:AjaxUpdatedControl ControlID="AsyncUpload1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
				</AjaxSettings>
			</telerik:RadAjaxManager>
			<div id="dwndWrapper">
				<telerik:RadAsyncUpload ID="AsyncUpload1" runat="server"
					OnClientFilesUploaded="OnClientFilesUploaded" OnFileUploaded="AsyncUpload1_FileUploaded"
					MaxFileSize="2097152" AllowedFileExtensions="jpg,png,gif,bmp"
					AutoAddFileInputs="false" Localization-Select="Upload Image" />
				<asp:Label ID="Label1" Text="*Size limit: 2MB" runat="server" Style="font-size: 10px;"></asp:Label>
			</div>
			<telerik:RadImageEditor ID="RadImageEditor1" runat="server" Width="790" Height="450"
				_ImageUrl="~/ImageEditor/images/waterpool.jpg" OnImageLoading="RadImageEditor1_ImageLoading">
			</telerik:RadImageEditor>
		</div>
		<telerik:RadButton ID="saveButton" runat="server" Text="Save Image" AutoPostBack="false" OnClientClicked="saveImage"></telerik:RadButton>
		<script type="text/javascript">
			function OnClientFilesUploaded(sender, args) {
				$find("RadAjaxManager1").ajaxRequest();
			}

			function saveImage(e) {
				$find("RadImageEditor1").saveImageOnServer("", true);
			}
		</script>
	</form>
</body>
</html>
